Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class CachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass

    public class CachedClass
    extends java.lang.Object

Authors:
  Alex.Tkachman

Nested Class Summary
`static class` | `CachedClass.CachedMethodComparatorByName`
`static class` | `CachedClass.CachedMethodComparatorWithString`

Field Summary
`static CachedClass[]` | `EMPTY_ARRAY`
`ClassInfo` | `classInfo`
`boolean` | `isArray`
`boolean` | `isInterface`
`boolean` | `isNumber`
`boolean` | `isPrimitive`
`int` | `modifiers`
`CachedMethod[]` | `mopMethods`

Constructor Summary
`CachedClass(java.lang.Class klazz, ClassInfo classInfo)`

Method Summary
`void` | `addNewMopMethods(java.util.List arr)`
`java.lang.Object` | `coerceArgument(java.lang.Object argument)`
`CachedClass` | `getCachedClass()` compatibility method
`CachedClass` | `getCachedSuperClass()`
`CallSiteClassLoader` | `getCallSiteLoader()`
`CachedConstructor[]` | `getConstructors()`
`java.util.Set` | `getDeclaredInterfaces()`
`CachedField[]` | `getFields()`
`java.util.Collection` | `getHierarchy()`
`java.util.Set` | `getInterfaces()`
`CachedMethod[]` | `getMethods()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`MetaMethod[]` | `getNewMetaMethods()`
`int` | `getSuperClassDistance()`
`java.lang.Class` | `getTheClass()`
`java.lang.String` | `getTypeDescription()`
`int` | `hashCode()`
`boolean` | `isAssignableFrom(java.lang.Class argument)`
`boolean` | `isDirectlyAssignable(java.lang.Object argument)`
`boolean` | `isInterface()`
`boolean` | `isPrimitive()`
`boolean` | `isVoid()`
`CachedMethod` | `searchMethods(java.lang.String name, CachedClass[] parameterTypes)`
`void` | `setNewMopMethods(java.util.List arr)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EMPTY_ARRAY

    public static final CachedClass[] EMPTY_ARRAY

### classInfo

    public ClassInfo classInfo

### isArray

    public final boolean isArray

### isInterface

    public final boolean isInterface

### isNumber

    public final boolean isNumber

### isPrimitive

    public final boolean isPrimitive

### modifiers

    public final int modifiers

### mopMethods

    public CachedMethod[] mopMethods

Constructor Detail

### CachedClass

    public CachedClass(java.lang.Class klazz, ClassInfo classInfo)

Method Detail

### addNewMopMethods

    public void addNewMopMethods(java.util.List arr)

### coerceArgument

    public java.lang.Object coerceArgument(java.lang.Object argument)

### getCachedClass

    public CachedClass getCachedClass()

  compatibility method
  Returns:
    this

### getCachedSuperClass

    public CachedClass getCachedSuperClass()

### getCallSiteLoader

    public CallSiteClassLoader getCallSiteLoader()

### getConstructors

    public CachedConstructor[] getConstructors()

### getDeclaredInterfaces

    public java.util.Set getDeclaredInterfaces()

### getFields

    public CachedField[] getFields()

### getHierarchy

    public java.util.Collection getHierarchy()

### getInterfaces

    public java.util.Set getInterfaces()

### getMethods

    public CachedMethod[] getMethods()

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getNewMetaMethods

    public MetaMethod[] getNewMetaMethods()

### getSuperClassDistance

    public int getSuperClassDistance()

### getTheClass

    public final java.lang.Class getTheClass()

### getTypeDescription

    public java.lang.String getTypeDescription()

### hashCode

    public int hashCode()

### isAssignableFrom

    public boolean isAssignableFrom(java.lang.Class argument)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(java.lang.Object argument)

### isInterface

    public boolean isInterface()

### isPrimitive

    public boolean isPrimitive()

### isVoid

    public boolean isVoid()

### searchMethods

    public CachedMethod searchMethods(java.lang.String name, CachedClass[] parameterTypes)

### setNewMopMethods

    public void setNewMopMethods(java.util.List arr)

### toString

    public java.lang.String toString()

Groovy Documentation